Search subscription plans

Search for subscription plans by different parameters.

GET

https://api.mercadopago.com/preapproval_plan/search
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
status
string
Specifies the status of the plan you want to get.
q
string
Free search field.
sort
string
Specifies the name of the field by which the results are to be sorted according to a criteria.
criteria
string
Specifies the order criteria of the results.
Response parameters
paging
object
Information for pagination of search results.
results
array
The page of items. This will be an empty array if there are no results.
Errors

400Error

400

Bad-request

401Error

401

Unauthorized

500Error

500

Error

Request
curl -X GET \
    'https://api.mercadopago.com/preapproval_plan/search'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********88776-122*********fc20dede6*********a497d7225*********64' \
    
Response
{
  "paging": {
    "offset": 0,
    "limit": 20,
    "total": 100
  },
  "results": [
    {
      "id": "2c938084726fca480172750000000000",
      "application_id": 1234567812345678,
      "collector_id": 100200300,
      "reason": "Yoga classes",
      "auto_recurring": {
        "frequency": 1,
        "frequency_type": "months",
        "repetitions": 12,
        "billing_day": 10,
        "billing_day_proportional": true,
        "free_trial": {
          "frequency": 7,
          "frequency_type": "months",
          "first_invoice_offset": 7
        },
        "transaction_amount": "24.50",
        "currency_id": "BRL"
      },
      "payment_methods_allowed": {
        "payment_types": [
          {}
        ],
        "payment_methods": [
          {}
        ]
      },
      "back_url": "https://www.mercadopago.com.ar",
      "external_reference": "23546246234",
      "init_point": "https://www.mercadopago.com.ar/subscriptions/checkout?preapproval_plan_id=2c938084726fca480172750000000000",
      "date_created": "2022-01-01T11:12:25.892-04:00",
      "last_modified": "2022-01-01T11:12:25.892-04:00",
      "subscribed": 50,
      "status": "active"
    }
  ]
}